ModelStream LogoModelStream Logo
Models
Video API
Image API
Chat API
Audio API
Studio
Pricing
Docs
Menu
IntroductionQuickstartAPI KeysUse with Hermes AgentUse with OpenClaw
Model ListBilling Guide
ModelStream

Video API

  • Seedance 2.0
  • Happyhorse 1.0
  • Vidu Q3
  • Kling V3.0
  • Veo 3.1
  • Wan 2.7
  • More Video Models →

Image API

  • GPT Image 2
  • Nano Banana 2
  • Seedream 5.0
  • Imagen 4
  • Qwen Image 2.0
  • Z-Image Turbo
  • More Image Models →

Audio API

  • Suno Music
  • Qwen3 TTS Flash
  • More Audio Models →

Chat API

  • GLM-5.2
  • Claude Opus 4.8
  • Gemini 3.5 Flash
  • Qwen 3.7 Max
  • GPT 5.5
  • More Chat Models →

About Us

  • Privacy Policy
  • Terms of Service
  • Support
  • Enterprise

© 2026 ModelStream Inc. All rights reserved.

API Documentation
API Reference
Images
Generate Image

Generate Image

Loading models...
G
gemini-3.5-flash
gemini-3.5-flash0 models support this endpoint

Gemini 3.5 Flash is Google’s next-generation flagship Flash model designed for the agent-centric AI era, delivering frontier-level intelligence with exceptional speed and efficiency. The model excels at agentic workflows, coding, multimodal understanding, and long-horizon task execution, while outperforming previous Gemini Pro models on challenging coding and reasoning benchmarks. Gemini 3.5 Flash is optimized for fast real-time interactions, large-scale autonomous workflows, and advanced developer productivity use cases.

Generate image

https://api.modelstream.ai
POST/v1/images/generations

Authentication

BearerAuth
AuthenticationBearer <token>

All API requests must be authenticated using a Bearer token in the Authorization header. Please ensure your API key is active.Authorization: Bearer sk-xxxxxx

Parameter Location: Header Param

Request Body

application/json

These parameters come from the selected model form_schema. Switching models updates this list and the request example.

system_prompt?string

Global instructions or persona for the model.

Example Value: You are a helpful and expert assistant.Placeholder: e.g., You are a senior software architect...
prompt*string
RequiredExample Value: Hello! What can you do?Placeholder: Enter your question or instructions...
image_urls?array

Supports multi-image understanding (optional).

Value Range: 0 ≤ value ≤ 10
image_detail?string
Example Value: auto
Enum/Options:
Auto: autoLow: lowHigh: high
temperature?number

Higher values make output more random, lower more deterministic.

Example Value: 1Value Range: 0 ≤ value ≤ 2step: 0.1
top_p?number

Nucleus sampling threshold; an alternative to temperature.

Example Value: 1Value Range: 0 ≤ value ≤ 1step: 0.05
presence_penalty?number

Increases the tendency to talk about new topics.

Example Value: 0Value Range: -2 ≤ value ≤ 2step: 0.1
frequency_penalty?number

Reduces the likelihood of repeating the same text verbatim.

Example Value: 0Value Range: -2 ≤ value ≤ 2step: 0.1
max_tokens?number
Example Value: 4096Value Range: 1 ≤ value ≤ 65536
response_format?string
Example Value: text
Enum/Options:
Text: textJSON Object: json_object
stream?boolean
Example Value: true

Response Parameters

application/json
200apiDocs.responses.successGenerateImage
created?integer

Parameter description for Created

data?array

Parameter description for Data

curl -X POST "https://api.modelstream.ai/v1/images/generations" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
  "model": "gemini-3.5-flash",
  "messages": [
    {
      "role": "system",
      "content": "You are a senior software architect."
    },
    {
      "role": "user",
      "content": [
        {
          "type": "text",
          "text": "Describe this image and suggest improvements."
        },
        {
          "type": "image_url",
          "image_url": {
            "url": "https://example.com/sample.png",
            "detail": "high"
          }
        }
      ]
    }
  ],
  "temperature": 0.7,
  "top_p": 1,
  "presence_penalty": 0,
  "frequency_penalty": 0,
  "max_tokens": 4096,
  "stream": true
}'
{
  "created": 0,
  "data": [
    {
      "url": "string",
      "b64_json": "string",
      "revised_prompt": "string"
    }
  ]
}